Cantera 2.6.0

Classes | Namespaces | Functions
Array.h File Reference

Header file for class Cantera::Array2D. More...

`#include "ct_defs.h"`
`#include <iostream>`
Include dependency graph for Array.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Array2D
| A class for 2D arrays stored in column-major (Fortran-compatible) form. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
std::ostream & | operator<< (std::ostream &s, const Array2D &m)
| Output the current contents of the Array2D object. More...
void | operator*= (Array2D &m, double a)
| Overload the times equals operator for multiplication of a matrix and a scalar. More...

## Detailed Description

Header file for class Cantera::Array2D.

Definition in file Array.h.